import { useMutation } from '@tanstack/react-query';
import type { ResetPasswordRequest } from '@/client/models/ResetPasswordRequest';
import { AuthService } from '@/client/services/AuthService';

export function useRequestPasswordReset() {
  return useMutation({
    mutationFn: (params: ResetPasswordRequest) =>
      AuthService.authRequestPasswordReset({ requestBody: params }),
  });
}
